http://auditmanager.{region}.amazonaws.com/assessmentFrameworks/{frameworkId}Updates a custom framework in Audit Manager.
The unique identifier for the framework.
The name of the framework to be updated.
The control sets that are associated with the framework.
The description of the updated framework.
The compliance type that the new custom framework supports, such as CIS or HIPAA.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://auditmanager.{region}.amazonaws.com/assessmentFrameworks/{frameworkId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://auditmanager.{region}.amazonaws.com/assessmentFrameworks/{frameworkId}Updates a custom framework in Audit Manager.
The unique identifier for the framework.
The name of the framework to be updated.
The control sets that are associated with the framework.
The description of the updated framework.
The compliance type that the new custom framework supports, such as CIS or HIPAA.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://auditmanager.{region}.amazonaws.com/assessmentFrameworks/{frameworkId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}